Loading...
Searching...
No Matches
mol.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/rotamer.h>`
`#include <openbabel/phmodel.h>`
`#include <openbabel/bondtyper.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/builder.h>`
`#include <openbabel/kekulize.h>`
`#include <openbabel/internalcoord.h>`
`#include <openbabel/math/matrix3x3.h>`
`#include <openbabel/obfunctions.h>`
`#include <openbabel/elements.h>`
`#include <openbabel/stereo/tetrahedral.h>`
`#include <openbabel/stereo/cistrans.h>`
`#include <sstream>`
`#include <set>`

## Namespaces

namespace | OpenBabel

## Macros

#define | OBAtomIncrement 100
#define | OBBondIncrement 100
#define | OBAtomIncrement 100
#define | OBBondIncrement 100

## Functions

bool | SortVVInt (const vector< int > &a, const vector< int > &b)
bool | SortAtomZ (const pair< OBAtom *, double > &a, const pair< OBAtom *, double > &b)
static bool | OBComparePairSecond (const pair< OBAtom *, unsigned int > &a, const pair< OBAtom *, unsigned int > &b)
static bool | OBComparePairFirst (const pair< OBAtom *, unsigned int > &a, const pair< OBAtom *, unsigned int > &b)
static void | ClassCount (vector< pair< OBAtom *, unsigned int > > &vp, unsigned int &count)
static void | CreateNewClassVector (vector< pair< OBAtom *, unsigned int > > &vp1, vector< pair< OBAtom *, unsigned int > > &vp2)
static bool | IsSuppressibleHydrogen (OBAtom *atom)
static bool | AtomIsNSOP (OBAtom *atom)
static double | CorrectedBondRad (unsigned int elem, unsigned int hyb)
static void | DeleteStereoOnAtom (OBMol &mol, OBStereo::Ref atomId)
bool | WriteTitles (ostream &ofs, OBMol &mol)
static bool | validAdditionalBond (OBAtom *a, OBAtom *n)
static bool | IsNotCorH (OBAtom *atom)

## Variables

bool | SwabInt = (STPTR[0]!=0)
THREAD_LOCAL OBPhModel | phmodel

## Detailed Description

Handle molecules. Implementation of OBMol.

## Macro Definition Documentation

## OBAtomIncrement [1/2]

#define OBAtomIncrement 100

Referenced by OBMol::AddAtom(), and OBMol::NewAtom().

## OBBondIncrement [1/2]

#define OBBondIncrement 100

Referenced by OBMol::AddBond(), and OBMol::NewBond().

## OBAtomIncrement [2/2]

#define OBAtomIncrement 100

## OBBondIncrement [2/2]

#define OBBondIncrement 100